#
# spec file for package plip (Version 1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         plip
Version:      1.1
Release:      278
Copyright:    GNU GPL
Group:        Networking/Admin
Provides:     plip
Autoreqprov:  on
Requires:     ipchains net-tools /usr/bin/sed /usr/bin/grep
Summary:      Scripts to set up your IP over parallel cable connection
Source:	      plip
Source1:      plip.rc.config
Source2:      rc.config.plip
#Patch:	      plip.dif
#URL:
BuildArchitectures: noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
PLIP is a kernel module which allows IP connections over a parallel
nullmodem (aka Laplink/Interlink) cable. So, it's some sort of poor man's
NIC replacement. Expect to get something like 30kB/s to 600kB/s at a very
high system load, with plip. You need to have an IRQ for your parallel port.
This package provides some scripts to have this configured automatically.
It provides the parport setup, the interface config and the routes. It
optionally sets a default route on one host ("client") and enables
masquerading on the other ("server").

Authors:
--------
    Kurt Garloff <garloff@suse.de>

SuSE series: n

%prep

%build

%install
install -d -o root -g root -m 750 $RPM_BUILD_ROOT/etc/rc.config.d
install -d -o root -g root -m 750 $RPM_BUILD_ROOT/etc/init.d
install -d -o root -g root -m 750 $RPM_BUILD_ROOT/sbin
install -d -o root -g root -m 750 $RPM_BUILD_ROOT/var/adm/fillup-templates
install -o root -g root -m 744 $RPM_SOURCE_DIR/plip $RPM_BUILD_ROOT/etc/init.d/
ln -sf ../etc/init.d/plip $RPM_BUILD_ROOT/sbin/rcplip
#ln -sf ../plip /etc/init.d/rc2.d/S08plip
#ln -sf ../plip /etc/init.d/rc3.d/S08plip
#ln -sf ../plip /etc/init.d/rc2.d/K50plip
#ln -sf ../plip /etc/init.d/rc3.d/K50plip
install -o root -g root -m 644 $RPM_SOURCE_DIR/plip.rc.config $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -o root -g root -m 644 $RPM_SOURCE_DIR/rc.config.plip $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.plip

%files
/sbin/rcplip
%config /etc/init.d/plip
#/etc/init.d/rc2.d/*plip
#/etc/init.d/rc3.d/*plip
#%config(noreplace) /etc/rc.config.d/plip.rc.config
/var/adm/fillup-templates/rc.config.plip
/var/adm/fillup-templates/plip.rc.config

%post
sbin/insserv etc/init.d/plip
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  if ! [ -d etc/rc.config.d ] ; then
    mkdir -p etc/rc.config.d
  fi
  if ! [ -f etc/rc.config.d/plip.rc.config ] ; then
    touch etc/rc.config.d/plip.rc.config
  fi
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.plip
  bin/fillup -q -d = etc/rc.config.d/plip.rc.config var/adm/fillup-templates/plip.rc.config
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.plip and "
  echo "update by hand."
fi

%preun
#test -x /sbin/rcplip && /sbin/rcplip stop
exit 0

%postun
sbin/insserv etc/init.d/

%changelog -n plip
* Fri Sep 14 2001 - garloff@suse.de
- Adapt path of nscd rc script and new 2.4 kernel parport proc
  file locations. (Bug reported by Ewald Dieterich.)
- Fix some spelling errors.
* Fri Jul 13 2001 - garloff@suse.de
- Try to fix init script status function (bug #9060)
* Mon Dec 11 2000 - garloff@suse.de
- Fixed handling of plip.rc.config file
* Wed Nov 29 2000 - ro@suse.de
- fixed Requires (again)
* Wed Nov 29 2000 - garloff@suse.de
- Add missing insserv calls
* Tue Nov 28 2000 - garloff@suse.de
- Use LSB conformant scripts and put them into /etc/init.d/
- Use BuildRoot:
* Fri Jan 14 2000 - garloff@suse.de
- %%preun: Added exit 0 to not take any rpm risks. (#1545 closed.)
* Wed Dec 22 1999 - garloff@suse.de
- preun: Only stop if /sbin/rcplip exists.
- Avoid error message in case of missing /proc/parport/?/hardware
  and auto IRQ. (Bugzilla #1545)
* Sun Oct 31 1999 - garloff@suse.de
- Added trailer for plip-script to return 1 in case of failure.
* Wed Oct 27 1999 - garloff@suse.de
- Initial creation of package
